#ifndef __UART_H
#define __UART_H

#include <avr/pgmspace.h>

#define F_CPU            36864800      /* 3.68 MHzMhz */
#define UART_BAUD_RATE      19200      /* 2400 baud */
 

//#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)
#define UART_BAUD_SELECT 11

void UART_Init(void);
void UART_outstr_P(PGM_P pstr);
void UART_outstr(char* psz);
char* UART_Recv(char* pnRecv); 
void UART_ClearRxBuf(void);

#endif
